    All Packages  Class Hierarchy  This Package  Previous  Next  Index

# Interface org.jdom.input.JDOMFactory

public interface JDOMFactory

`JDOMFactory` is an interface to be used by builders in constructing JDOM objects. The `DefaultJDOMFactory` creates the standard top-level JDOM classes (Element, Document, Comment, etc). Another implementation of this factory could be used to create custom classes.

Version:
  $Revision: 1.6 $, $Date: 2002/03/12 07:57:06 $
Author:
  Ken Rune Holland, Phil Nelson, Bradley S. Huffman

##

attribute(String, String)

  This will create a new `Attribute` with the specified (local) name and value, and does not place the attribute in a `{`

attribute(String, String, int)

  This will create a new `Attribute` with the specified (local) name, value and type, and does not place the attribute in a `{`

attribute(String, String, int, Namespace)

  This will create a new `Attribute` with the specified (local) name, value, and type, and in the provided `{`

attribute(String, String, Namespace)

  This will create a new `Attribute` with the specified (local) name and value, and in the provided `{`

cdata(String)

  This creates the CDATA with the supplied text.

comment(String)

  This creates the comment with the supplied text.

docType(String)

  This will create the `DocType` with the specified element name

docType(String, String)

  This will create the `DocType` with the specified element name and reference to an external DTD.

docType(String, String, String)

  This will create the `DocType` with the specified element name and a reference to an external DTD.

document(Element)

  This will create a new `Document`, with the supplied `{`

document(Element, DocType)

  This will create a new `Document`, with the supplied `{`

element(String)

  This will create an `Element` in no `{`

element(String, Namespace)

  This will create a new `Element` with the supplied (local) name, and define the `{`

element(String, String)

  This will create a new `Element` with the supplied (local) name, and specifies the URI of the `{`

element(String, String, String)

  This will create a new `Element` with the supplied (local) name, and specifies the prefix and URI of the `{`

entityRef(String)

  This will create a new `EntityRef` with the supplied name.

entityRef(String, String, String)

  This will create a new `EntityRef` with the supplied name, public ID, and system ID.

processingInstruction(String, Map)

  This will create a new `ProcessingInstruction` with the specified target and data.

processingInstruction(String, String)

  This will create a new `ProcessingInstruction` with the specified target and data.

text(String)

  This creates the Text with the supplied text.

##

attribute

     public abstract Attribute attribute(String name,
                                         String value,
                                         Namespace namespace)

  This will create a new `Attribute` with the specified (local) name and value, and in the provided `{@link Namespace}`.

  Parameters:
    name - `String` name of `Attribute`.
    value - `String` value for new attribute.

attribute

     public abstract Attribute attribute(String name,
                                         String value,
                                         int type,
                                         Namespace namespace)

  This will create a new `Attribute` with the specified (local) name, value, and type, and in the provided `{@link Namespace}`.

  Parameters:
    name - `String` name of `Attribute`.
    value - `String` value for new attribute.
    type - `int` type for new attribute.
    namespace - `Namespace` namespace for new attribute.

attribute

     public abstract Attribute attribute(String name,
                                         String value)

  This will create a new `Attribute` with the specified (local) name and value, and does not place the attribute in a `{@link Namespace}`.

  Note: This actually explicitly puts the `Attribute` in the "empty" `Namespace` (`{@link Namespace#NO_NAMESPACE}`).

  Parameters:
    name - `String` name of `Attribute`.
    value - `String` value for new attribute.

attribute

     public abstract Attribute attribute(String name,
                                         String value,
                                         int type)

  This will create a new `Attribute` with the specified (local) name, value and type, and does not place the attribute in a `{@link Namespace}`.

  Note: This actually explicitly puts the `Attribute` in the "empty" `Namespace` (`{@link Namespace#NO_NAMESPACE}`).

  Parameters:
    name - `String` name of `Attribute`.
    value - `String` value for new attribute.
    type - `int` type for new attribute.

cdata

     public abstract CDATA cdata(String str)

  This creates the CDATA with the supplied text.

  Parameters:
    str - `String` content of CDATA.

text

     public abstract Text text(String str)

  This creates the Text with the supplied text.

  Parameters:
    data - `String` content of Text.

comment

     public abstract Comment comment(String text)

  This creates the comment with the supplied text.

  Parameters:
    text - `String` content of comment.

docType

     public abstract DocType docType(String elementName,
                                     String publicID,
                                     String systemID)

  This will create the `DocType` with the specified element name and a reference to an external DTD.

  Parameters:
    elementName - `String` name of element being constrained.
    publicID - `String` public ID of referenced DTD
    systemID - `String` system ID of referenced DTD

docType

     public abstract DocType docType(String elementName,
                                     String systemID)

  This will create the `DocType` with the specified element name and reference to an external DTD.

  Parameters:
    elementName - `String` name of element being constrained.
    systemID - `String` system ID of referenced DTD

docType

     public abstract DocType docType(String elementName)

  This will create the `DocType` with the specified element name

  Parameters:
    elementName - `String` name of element being constrained.

document

     public abstract Document document(Element rootElement,
                                       DocType docType)

  This will create a new `Document`, with the supplied `{@link Element}` as the root element and the supplied `{@link DocType}` declaration.

  Parameters:
    rootElement - `Element` for document root.
    docType - `DocType` declaration.

document

     public abstract Document document(Element rootElement)

  This will create a new `Document`, with the supplied `{@link Element}` as the root element, and no `{@link DocType}` declaration.

  Parameters:
    rootElement - `Element` for document root

element

     public abstract Element element(String name,
                                     Namespace namespace)

  This will create a new `Element` with the supplied (local) name, and define the `{@link Namespace}` to be used.

  Parameters:
    name - `String` name of element.

element

     public abstract Element element(String name)

  This will create an `Element` in no `{@link Namespace}`.

  Parameters:
    name - `String` name of element.

element

     public abstract Element element(String name,
                                     String uri)

  This will create a new `Element` with the supplied (local) name, and specifies the URI of the `{@link Namespace}` the `Element` should be in, resulting it being unprefixed (in the default namespace).

  Parameters:
    name - `String` name of element.
    uri - `String` URI for `Namespace` element should be in.

element

     public abstract Element element(String name,
                                     String prefix,
                                     String uri)

  This will create a new `Element` with the supplied (local) name, and specifies the prefix and URI of the `{@link Namespace}` the `Element` should be in.

  Parameters:
    name - `String` name of element.
    uri - `String` URI for `Namespace` element should be in.

processingInstruction

     public abstract ProcessingInstruction processingInstruction(String target,
                                                                 Map data)

  This will create a new `ProcessingInstruction` with the specified target and data.

  Parameters:
    target - `String` target of PI.
    data - `Map` data for PI, in name/value pairs

processingInstruction

     public abstract ProcessingInstruction processingInstruction(String target,
                                                                 String data)

  This will create a new `ProcessingInstruction` with the specified target and data.

  Parameters:
    target - `String` target of PI.
    rawData - `String` data for PI.

entityRef

     public abstract EntityRef entityRef(String name)

  This will create a new `EntityRef` with the supplied name.

  Parameters:
    name - `String` name of element.

entityRef

     public abstract EntityRef entityRef(String name,
                                         String publicID,
                                         String systemID)

  This will create a new `EntityRef` with the supplied name, public ID, and system ID.

  Parameters:
    name - `String` name of element.
    name - `String` public ID of element.
    name - `String` system ID of element.

    All Packages  Class Hierarchy  This Package  Previous  Next  Index